export declare const validationRules: {
    notEmpty: (message: string) => import("./rule-generation-tools").IRuleGetter;
    notEmptyString: (message: string) => import("./rule-generation-tools").IRuleGetter;
    notEmptyObject: (message: string) => import("./rule-generation-tools").IRuleGetter;
    shorterThan: (length: number, message: string) => import("./rule-generation-tools").IRuleGetter;
    longerThan: (length: number, message: string) => import("./rule-generation-tools").IRuleGetter;
    lengthInRange: (min: number, max: number, message: string) => import("./rule-generation-tools").IRuleGetter;
    exactLength: (length: number, message: string) => import("./rule-generation-tools").IRuleGetter;
    exactMultiplyLength: (values: number[], hasNull: boolean, message: string) => import("./rule-generation-tools").IRuleGetter;
    equalToField: (path: string, message: string) => import("./rule-generation-tools").IRuleGetter;
    onlyNumbers: (message: string) => import("./rule-generation-tools").IRuleGetter;
    notEqualToField: (path: string, message: string) => import("./rule-generation-tools").IRuleGetter;
    matchPattern: (regexp: RegExp, message: string) => import("./rule-generation-tools").IRuleGetter;
    notNil: (message: string) => import("./rule-generation-tools").IRuleGetter;
    decimalMin: (min: number, inclusive: boolean, message: string) => import("./rule-generation-tools").IRuleGetter;
    decimalMax: (max: number, inclusive: boolean, message: string) => import("./rule-generation-tools").IRuleGetter;
    notZeroes: (message: string) => import("./rule-generation-tools").IRuleGetter;
    innCalcKey: (message: string) => import("./rule-generation-tools").IRuleGetter;
    uinUipCalcKey: (accountPath: string, message: string) => import("./rule-generation-tools").IRuleGetter;
    accountCalcKey: (bicPath: string, message: string) => import("./rule-generation-tools").IRuleGetter;
    decimalNoFraction: (message: string) => import("./rule-generation-tools").IRuleGetter;
    notEqual: (value: any, message: string) => import("./rule-generation-tools").IRuleGetter;
};
export declare const validationConditions: {
    isEqual: (value: boolean | number | string) => import("./interfaces").IConditionGetter;
    isNotEqual: (value: boolean | number | string) => import("./interfaces").IConditionGetter;
    isNotEmptyObject: (value: Record<string, undefined>) => import("./interfaces").IConditionGetter;
    isNotEmpty: () => import("./interfaces").IConditionGetter;
    isEqualToField: (path: string) => import("./interfaces").IConditionGetter;
    isNotEqualToField: (path: string) => import("./interfaces").IConditionGetter;
    someIsEqual: (value: any) => import("./interfaces").IConditionGetter;
    hasLinks: (...paths: string[]) => import("./interfaces").IConditionGetter;
    inArray: (validValues: unknown) => import("./interfaces").IConditionGetter;
};
export declare const err: {
    notEmpty: (message: string) => import("./rule-generation-tools").IRuleGetter;
    notEmptyString: (message: string) => import("./rule-generation-tools").IRuleGetter;
    notEmptyObject: (message: string) => import("./rule-generation-tools").IRuleGetter;
    shorterThan: (length: number, message: string) => import("./rule-generation-tools").IRuleGetter;
    longerThan: (length: number, message: string) => import("./rule-generation-tools").IRuleGetter;
    lengthInRange: (min: number, max: number, message: string) => import("./rule-generation-tools").IRuleGetter;
    exactLength: (length: number, message: string) => import("./rule-generation-tools").IRuleGetter;
    exactMultiplyLength: (values: number[], hasNull: boolean, message: string) => import("./rule-generation-tools").IRuleGetter;
    equalToField: (path: string, message: string) => import("./rule-generation-tools").IRuleGetter;
    onlyNumbers: (message: string) => import("./rule-generation-tools").IRuleGetter;
    notEqualToField: (path: string, message: string) => import("./rule-generation-tools").IRuleGetter;
    matchPattern: (regexp: RegExp, message: string) => import("./rule-generation-tools").IRuleGetter;
    notNil: (message: string) => import("./rule-generation-tools").IRuleGetter;
    decimalMin: (min: number, inclusive: boolean, message: string) => import("./rule-generation-tools").IRuleGetter;
    decimalMax: (max: number, inclusive: boolean, message: string) => import("./rule-generation-tools").IRuleGetter;
    notZeroes: (message: string) => import("./rule-generation-tools").IRuleGetter;
    innCalcKey: (message: string) => import("./rule-generation-tools").IRuleGetter;
    uinUipCalcKey: (accountPath: string, message: string) => import("./rule-generation-tools").IRuleGetter;
    accountCalcKey: (bicPath: string, message: string) => import("./rule-generation-tools").IRuleGetter;
    decimalNoFraction: (message: string) => import("./rule-generation-tools").IRuleGetter;
    notEqual: (value: any, message: string) => import("./rule-generation-tools").IRuleGetter;
};
export declare const warn: {
    notEmpty: (message: string) => import("./rule-generation-tools").IRuleGetter;
    notEmptyString: (message: string) => import("./rule-generation-tools").IRuleGetter;
    notEmptyObject: (message: string) => import("./rule-generation-tools").IRuleGetter;
    shorterThan: (length: number, message: string) => import("./rule-generation-tools").IRuleGetter;
    longerThan: (length: number, message: string) => import("./rule-generation-tools").IRuleGetter;
    lengthInRange: (min: number, max: number, message: string) => import("./rule-generation-tools").IRuleGetter;
    exactLength: (length: number, message: string) => import("./rule-generation-tools").IRuleGetter;
    exactMultiplyLength: (values: number[], hasNull: boolean, message: string) => import("./rule-generation-tools").IRuleGetter;
    equalToField: (path: string, message: string) => import("./rule-generation-tools").IRuleGetter;
    onlyNumbers: (message: string) => import("./rule-generation-tools").IRuleGetter;
    notEqualToField: (path: string, message: string) => import("./rule-generation-tools").IRuleGetter;
    matchPattern: (regexp: RegExp, message: string) => import("./rule-generation-tools").IRuleGetter;
    notNil: (message: string) => import("./rule-generation-tools").IRuleGetter;
    decimalMin: (min: number, inclusive: boolean, message: string) => import("./rule-generation-tools").IRuleGetter;
    decimalMax: (max: number, inclusive: boolean, message: string) => import("./rule-generation-tools").IRuleGetter;
    notZeroes: (message: string) => import("./rule-generation-tools").IRuleGetter;
    innCalcKey: (message: string) => import("./rule-generation-tools").IRuleGetter;
    uinUipCalcKey: (accountPath: string, message: string) => import("./rule-generation-tools").IRuleGetter;
    accountCalcKey: (bicPath: string, message: string) => import("./rule-generation-tools").IRuleGetter;
    decimalNoFraction: (message: string) => import("./rule-generation-tools").IRuleGetter;
    notEqual: (value: any, message: string) => import("./rule-generation-tools").IRuleGetter;
};
export declare const when: (path: string) => {
    isEqual: (value: boolean | number | string) => import("./interfaces").IConditionGetter;
    isNotEqual: (value: boolean | number | string) => import("./interfaces").IConditionGetter;
    isNotEmptyObject: (value: Record<string, undefined>) => import("./interfaces").IConditionGetter;
    isNotEmpty: () => import("./interfaces").IConditionGetter;
    isEqualToField: (path: string) => import("./interfaces").IConditionGetter;
    isNotEqualToField: (path: string) => import("./interfaces").IConditionGetter;
    someIsEqual: (value: any) => import("./interfaces").IConditionGetter;
    hasLinks: (...paths: string[]) => import("./interfaces").IConditionGetter;
    inArray: (validValues: unknown) => import("./interfaces").IConditionGetter;
};
